diff --git a/libburn/trunk/Makefile.am b/libburn/trunk/Makefile.am
index 46079f28..dfde7680 100644
--- a/libburn/trunk/Makefile.am
+++ b/libburn/trunk/Makefile.am
@@ -180,6 +180,7 @@ EXTRA_DIST = \
cdrskin/README \
cdrskin/cdrecord_spy.sh \
cdrskin/compile_cdrskin.sh \
+ cdrskin/convert_man_to_html.sh \
cdrskin/changelog.txt \
cdrskin/cdrskin_eng.html \
cdrskin/wiki_plain.txt \
diff --git a/libburn/trunk/cdrskin/add_ts_changes_to_libburn_0_2_7 b/libburn/trunk/cdrskin/add_ts_changes_to_libburn_0_2_7
index 665b8364..5f870b8e 100755
--- a/libburn/trunk/cdrskin/add_ts_changes_to_libburn_0_2_7
+++ b/libburn/trunk/cdrskin/add_ts_changes_to_libburn_0_2_7
@@ -51,6 +51,9 @@ compile_cmd="./cdrskin/compile_cdrskin.sh"
compile_static_opts="-static"
compile_result="cdrskin/cdrskin"
+man_to_html_cmd="./cdrskin/convert_man_to_html.sh"
+man_page_html="cdrskin/man_1_cdrskin.html"
+
bintarget_dynamic="cdrskin_${skin_rev}-x86-suse9_0"
bintarget_static="$bintarget_dynamic"-static
@@ -119,6 +122,11 @@ do
rm "$cdrskin_target"/cdrskin_"$i"
fi
done
+
+# Remove automatically generated HTML man page
+rm "$cdrskin_target"/man_1_cdrskin.html
+
+# Remove eventual SVN stuff from cdrskin driectory
for i in .deps .dirstamp .libs
do
if test -e "$cdrskin_target"/"$i"
@@ -179,18 +187,20 @@ done
# Pack it up to the new libburn+cdrskin-tarball
tar czf "$cdrskin_tarball" "$target"
-# Produce a static and a dynamic binary
+# Produce a static and a dynamic binary, and a HTML man page
(
cd "$compile_dir" || exit 1
./configure
make
- $compile_cmd -do_strip
+ "$compile_cmd" -do_strip
cp "$compile_result" "../$bintarget_dynamic"
if test -n "$compile_static_opts"
then
- $compile_cmd $compile_static_opts -do_strip
+ "$compile_cmd" $compile_static_opts -do_strip
cp "$compile_result" "../$bintarget_static"
fi
+ "$man_to_html_cmd"
+ mv "$man_page_html" ..
)
# Remove the build area
@@ -203,4 +213,5 @@ rm -rf "$target"
ls -l "$cdrskin_tarball"
ls -l "$bintarget_dynamic"
ls -l "$bintarget_static"
+ls -l $(basename "$man_page_html")
diff --git a/libburn/trunk/cdrskin/cdrskin_eng.html b/libburn/trunk/cdrskin/cdrskin_eng.html
index e12e399c..7dd274eb 100644
--- a/libburn/trunk/cdrskin/cdrskin_eng.html
+++ b/libburn/trunk/cdrskin/cdrskin_eng.html
@@ -178,6 +178,7 @@ cdrskin_0.2.6.pl01-x86-suse9_0-static.tar.gz, (260 KB), -static compiled,
README a short introduction
cdrskin --help non-cdrecord options
cdrskin -help cdrecord compatible options
+man cdrskin the manual page
- Contact:
@@ -221,7 +222,7 @@ Enhancements towards previous stable version cdrskin-0.2.4:
- Improved recognition of unsuitable media types
- Ban of chmod u+s is replaced by a loud warning
-- Detailed man page: cdrskin/cdrskin.1
+- Detailed man page: cdrskin/cdrskin.1
-
diff --git a/libburn/trunk/cdrskin/cdrskin_timestamp.h b/libburn/trunk/cdrskin/cdrskin_timestamp.h
index c3578e55..c357fb7b 100644
--- a/libburn/trunk/cdrskin/cdrskin_timestamp.h
+++ b/libburn/trunk/cdrskin/cdrskin_timestamp.h
@@ -1 +1 @@
-#define Cdrskin_timestamP "2006.12.13.195441"
+#define Cdrskin_timestamP "2006.12.14.102857"
diff --git a/libburn/trunk/cdrskin/convert_man_to_html.sh b/libburn/trunk/cdrskin/convert_man_to_html.sh
new file mode 100755
index 00000000..f097e25a
--- /dev/null
+++ b/libburn/trunk/cdrskin/convert_man_to_html.sh
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+#
+# convert_man_to_html.sh - ts A61214
+#
+# Generates a HTML version of man page cdrskin.1
+#
+# To be executed within the libburn toplevel directory (like ./libburn-0.2.7)
+#
+
+# set -x
+
+man_dir=$(pwd)"/cdrskin"
+export MANPATH="$man_dir"
+manpage="cdrskin"
+raw_html=$(pwd)/"cdrskin/raw_man_1_cdrskin.html"
+htmlpage=$(pwd)/"cdrskin/man_1_cdrskin.html"
+
+if test -r "$manpage"
+then
+ dummy=dummy
+else
+ echo "Cannot find readable man page source $1" >&2
+ exit 1
+fi
+
+if test -e "$man_dir"/man1
+then
+ dummy=dummy
+else
+ ln -s . "$man_dir"/man1
+fi
+
+if test "$1" = "-work_as_filter"
+then
+
+# set -x
+
+ sed \
+ -e 's///' \
+ -e 's/Overview of features:<\/b>/\
Overview of features:<\/b>/' \
+ -e 's/Known deficiencies:<\/b>/\
Known deficiencies:<\/b>/' \
+ -e 's/Track recording model:<\/b>/\
Track recording model:<\/b>/' \
+ -e 's/In general there are two types of tracks: data and audio./\
In general there are two types of tracks: data and audio./' \
+ -e 's/Recordable CD Media:<\/b>/\
Recordable CD Media:<\/b>/' \
+ -e 's/^Alphabetical list of options/\
Alphabetical list of options/' \
+ -e 's/and for all others\.<\/td><\/table>/and for all others.<\/td><\/table>
(HTML generated from '"$manpage"'.1 on '"$(date)"' by '$(basename "$0")' )<\/CENTER><\/FONT>/' \
+ -e 's/See section EXAMPLES/See section EXAMPLES<\/A>/' \
+ <"$2" >"$htmlpage"
+
+ set +x
+
+ chmod u+rw,go+r,go-w "$htmlpage"
+ echo "Emerged file:"
+ ls -l "$htmlpage"
+
+else
+
+ export BROWSER='cp "%s" '"$raw_html"
+ man -H "$manpage"
+ "$0" -work_as_filter "$raw_html"
+ rm "$raw_html"
+ rm "$man_dir"/man1
+
+fi